summaryrefslogtreecommitdiff
path: root/tests/stty/row-col-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/stty/row-col-1')
-rwxr-xr-xtests/stty/row-col-14
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/stty/row-col-1 b/tests/stty/row-col-1
index 9b72f1a64..0ede6cb7f 100755
--- a/tests/stty/row-col-1
+++ b/tests/stty/row-col-1
@@ -33,7 +33,9 @@ set - $tests
saved_size=.saved-size
-stty size > $saved_size || exit 1
+stty size > $saved_size \
+ || { echo "$0: skipping this test: can't get window size" 1>&2;
+ exit 77; exit; }
fail=0
while :; do